Advertisement:

Author Topic: Actualitzar de 1.0.9 a 1.1.1  (Read 12172 times)

Offline Athomix

  • Semi-Newbie
  • *
  • Posts: 22
    • Athomix Disseny Web
Actualitzar de 1.0.9 a 1.1.1
« on: January 05, 2007, 01:36:44 PM »
Com actualitzo de 1.0.9 a 1.1.1 ?
Reactiu per naturalesa.
Fòrum d'Emprenedors [nofollow]

Offline C.D.Team

  • Jr. Member
  • **
  • Posts: 161
Re: Actualitzar de 1.0.9 a 1.1.1
« Reply #1 on: January 06, 2007, 04:25:51 AM »
En la secció de descarregues del portal hi ha 3 opcions

Per a les teves caracteristiques tens que utilitzar

Large upgrade



Using modifications, or not using SMF 1.1? No problem, this is what you need.

el sistema de actualitzacio es molt sencill, descarregues el paquet, el descomprimixes en el teu ordinador, despres mitjansant el ftp, copies els arxius del paquet al teu espai web i despres executes via web el upgrade.php ;)

Offline Athomix

  • Semi-Newbie
  • *
  • Posts: 22
    • Athomix Disseny Web
Re: Actualitzar de 1.0.9 a 1.1.1
« Reply #2 on: January 06, 2007, 04:10:10 PM »
El cas es que vaig retocar tots els templates  (BoardIndex.template.php, Display.template.php, ...) i tinc por de predre-ls.  :-\     
Funcionarà be? els deixo igual?
Típic, primer remeno i després pregunto :D
Merci

« Last Edit: January 06, 2007, 04:16:30 PM by Athomix »
Reactiu per naturalesa.
Fòrum d'Emprenedors [nofollow]

Offline Athomix

  • Semi-Newbie
  • *
  • Posts: 22
    • Athomix Disseny Web
Re: Actualitzar de 1.0.9 a 1.1.1
« Reply #3 on: January 06, 2007, 06:03:24 PM »
He baixat i copiat tot (sobreescribint) i li he donat a l'upgrade però surt una pàgina que diu:

"SMF Upgrade Utility
The upgrader found some old or outdated language files.

Please make certain you uploaded the new versions of all the files included in the package, even the theme and language files for the default theme.

Click here to try again."

així que he tornat a l'anterior...   :'(





Per cert que és el patch 1 0 10?
El forum em diu:
"Estàs utilitzant una versió antiga de SMF, aquesta conté alguns forats de seguretat que han estat reparats. Et recomanem que actualitzis el teu fòrum a la darrera versió el més aviat possible. Això et costarà un minut!"   >:( un minut!  :D


entres i diu:

"Aplicant Mod
Recorda sempre de fer còpies de seguretat...

Llegeix-me de la instal·lació
This patch file will update your forum to SMF 1.0.10.

Administrador de Paquets (Packages) - Accions de la Instal·lació
Accions de la Instal·lació Accions de la Instal·lació per l'arxiu smf_1-0-10_patch_11.tar.gz:
La instal·lació d'aquest paquet realitzarà les següents accions:
   Tipus    Acció    Descripció
1.    Executar Modificació    ./index.php    Èxit
2.    Executar Modificació    ./Sources/Display.php    Èxit
3.    Executar Modificació    ./Sources/Subs-Auth.php    Èxit
4.    Executar Modificació    ./Sources/Admin.php    Èxit
...
...
52.    Executar Modificació    ./Sources/ViewQuery.php    Èxit
53.    Executar Modificació    ./Sources/Who.php    Èxit
54.    Executar Modificació    ./index.php    Èxit
55.    Executar Modificació    ./SSI.php    Èxit


FTP Information Required
Alguns dels arxius que aquest paquet necessita modificar no tenen permís d'escriptura. S'ha de canviar accedint via FTP i canviant el chmod dels arxius.
Servidor de FTP:    localhost
Port:  Nom d'usuari:    Contrasenya:    Directori local a SMF:    "

Omplo les dades i no passa absolutament res... 
« Last Edit: January 07, 2007, 03:10:22 PM by Athomix »
Reactiu per naturalesa.
Fòrum d'Emprenedors [nofollow]

Offline C.D.Team

  • Jr. Member
  • **
  • Posts: 161
Re: Actualitzar de 1.0.9 a 1.1.1
« Reply #4 on: January 08, 2007, 01:50:30 AM »
El cas es que vaig retocar tots els templates  (BoardIndex.template.php, Display.template.php, ...) i tinc por de predre-ls.  :-\     
Funcionarà be? els deixo igual?
Típic, primer remeno i després pregunto :D

Si vas retocar tot els templates, tindras que tornar a retocarlos, ja que els templates han camviat.

He baixat i copiat tot (sobreescribint) i li he donat a l'upgrade però surt una pàgina que diu:

"SMF Upgrade Utility
The upgrader found some old or outdated language files.

Please make certain you uploaded the new versions of all the files included in the package, even the theme and language files for the default theme.

Click here to try again."

així que he tornat a l'anterior...   :'(


Per a poder actualitzar desde el teu perfil habitual (idioma catala) tambe deus pujar el idioma catala per a la versio 1.1, ja que el paquet de instalacio nomes incluix el angles.



Per cert que és el patch 1 0 10?
El forum em diu:
"Estàs utilitzant una versió antiga de SMF, aquesta conté alguns forats de seguretat que han estat reparats. Et recomanem que actualitzis el teu fòrum a la darrera versió el més aviat possible. Això et costarà un minut!"   >:( un minut!  :D


entres i diu:

"Aplicant Mod
Recorda sempre de fer còpies de seguretat...

Llegeix-me de la instal·lació
This patch file will update your forum to SMF 1.0.10.

Administrador de Paquets (Packages) - Accions de la Instal·lació
Accions de la Instal·lació Accions de la Instal·lació per l'arxiu smf_1-0-10_patch_11.tar.gz:
La instal·lació d'aquest paquet realitzarà les següents accions:
   Tipus    Acció    Descripció
1.    Executar Modificació    ./index.php    Èxit
2.    Executar Modificació    ./Sources/Display.php    Èxit
3.    Executar Modificació    ./Sources/Subs-Auth.php    Èxit
4.    Executar Modificació    ./Sources/Admin.php    Èxit
...
...
52.    Executar Modificació    ./Sources/ViewQuery.php    Èxit
53.    Executar Modificació    ./Sources/Who.php    Èxit
54.    Executar Modificació    ./index.php    Èxit
55.    Executar Modificació    ./SSI.php    Èxit


FTP Information Required
Alguns dels arxius que aquest paquet necessita modificar no tenen permís d'escriptura. S'ha de canviar accedint via FTP i canviant el chmod dels arxius.
Servidor de FTP:    localhost
Port:  Nom d'usuari:    Contrasenya:    Directori local a SMF:    "

Omplo les dades i no passa absolutament res... 


El pach 1.0.10 es una actualitzacio de seguretat per als que utilitzeu versio 1.0.x, introduint be les dades de conexio a FTP, i donant-li continuar, deuria instalarte correctament la versio 1.0.10, si no deu de retornarte un error

Offline Athomix

  • Semi-Newbie
  • *
  • Posts: 22
    • Athomix Disseny Web
Re: Actualitzar de 1.0.9 a 1.1.1
« Reply #5 on: January 08, 2007, 07:35:26 AM »
Gràcies moltes per les respostes ;)

No puc retocar els templates al meu gust? quina feinada...  :( 
El patch 1010 no hi ha manera, però es que no em dona cap error  :-\

Provarem de instal·lar-ho tot amb idioma a veure si respecta algun template i si no ho deixarem com està :) :) :)

Continuarem informant.



Reactiu per naturalesa.
Fòrum d'Emprenedors [nofollow]

Offline C.D.Team

  • Jr. Member
  • **
  • Posts: 161
Re: Actualitzar de 1.0.9 a 1.1.1
« Reply #6 on: January 08, 2007, 12:03:23 PM »
No puc retocar els templates al meu gust? quina feinada...  :( 

Tu pots retocar els templates sempre que vulgues, pero al camviar de versio de 1.0.x a 1.1.x la diferencia en els templates fa que siguen incompatibles, per lo que tindries que tornar a modificarlos.

Offline Athomix

  • Semi-Newbie
  • *
  • Posts: 22
    • Athomix Disseny Web
Re: Actualitzar de 1.0.9 a 1.1.1
« Reply #7 on: January 08, 2007, 01:13:36 PM »
Finalment he aconseguit, gràcies a les teves intruccions, actualitzar i mantenir (quasi) els templates.  Index, Display, Board, ...

Bàsicament els canvis són en el disseny i d'estil i a primera vista no sembla traumatic.

Pots veure el resultat a http://www.forumdemprenedors.org [nofollow].

Gràcies.  8)


 
Reactiu per naturalesa.
Fòrum d'Emprenedors [nofollow]

Offline C.D.Team

  • Jr. Member
  • **
  • Posts: 161
Re: Actualitzar de 1.0.9 a 1.1.1
« Reply #8 on: January 08, 2007, 03:30:23 PM »
Al mantindre els templates de la versio anterior perds algunes funcions, que porta la nova versio inclosa en el template.

Deuries comparar la nova versio amb la teua, e incluir aquestes opcions.

No son molt, ni molt importants, pero igual alguna t'interesa.

Bon treball :D :D

Offline Athomix

  • Semi-Newbie
  • *
  • Posts: 22
    • Athomix Disseny Web
Re: Actualitzar de 1.0.9 a 1.1.1
« Reply #9 on: January 08, 2007, 03:40:34 PM »
Ok! gràcies.
Reactiu per naturalesa.
Fòrum d'Emprenedors [nofollow]